package com.ibm.r2a.rules.rdj.examples.j2sebestpractices.reflection;

import java.lang.reflect.Field;

public class GetDeclaredField_Example {
	
	public GetDeclaredField_Example() {
		super();
	}

	public void setValue( int value ) {
		this.value = value;
	}

	public int getValue() {
		return value;
	}

	private int value;

	public static void main(String[] args){
		try {
			Field field = GetDeclaredField_Example.class.getDeclaredField( "value" ); //$NON-NLS-1$
			GetDeclaredField_Example obj = new GetDeclaredField_Example();
			field.set( obj, new Integer( 1 ) );
			System.out.println( obj.getValue() );
		} catch (SecurityException e) {
			System.out.println( "Can't access field 'value'" ); //$NON-NLS-1$
		} catch (NoSuchFieldException e) {
			System.out.println( "No field 'value'" ); //$NON-NLS-1$
		} catch (IllegalArgumentException e) {
			System.out.println( e.getMessage() );
		} catch (IllegalAccessException e) {
			System.out.println( "Can't access private field 'value'" ); //$NON-NLS-1$
		}
	}

}
