package com.ibm.r2a.rules.rdj.examples.j2sebestpractices.interfaces;

public class InterfaceConstants_Example {

	public interface ICommonParsingConstants {
		public static final int IF_TOKEN = 1;
		public static final int WHILE_TOKEN = 2;
		public static final String END_OF_LINE = "\n"; //$NON-NLS-1$
	}

	public class Parser implements ICommonParsingConstants {
		public void processToken( int iToken ) {
			if ( iToken == IF_TOKEN ) {
				System.out.println( "if" ); //$NON-NLS-1$
			} else if ( iToken == WHILE_TOKEN ) {
				System.out.println( "while" ); //$NON-NLS-1$
			}
		}
	}

	public class Tokenizer implements ICommonParsingConstants {
		public String getToken( String str ) {
			return ( str.equals( END_OF_LINE ) ? "" : str );  //$NON-NLS-1$
		}
	}
	
}

